Name:           krbpass
Version:        1.0
Release:        1%{?dist}
Summary:        GUI tool for changing kerberos password

License:        GPLv3+
Source0:	%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-gobject
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires:       python3
Requires:       python3-gobject
Requires:       gtk4
Requires:       libadwaita
Requires:       krb5-workstation
Requires:       adcli

%description
A GTK-based GUI tool for changing realm passwords using Kerberos authentication.

%prep
%autosetup -p1

%build

%install
%{make_install}

%check
meson test -C build --print-errorlogs

%files
%{_bindir}/krbpass
%{_datadir}/applications/com.softline.krbpass.desktop
%{_datadir}/metainfo/com.softline.krbpass.metainfo.xml
%{_datadir}/krbpass/krbpass
%{_datadir}/krbpass/krbpass.gresource
%{_datadir}/locale/ru/LC_MESSAGES/krbpass.mo
%{_datadir}/glib-2.0/schemas/com.softline.krbpass.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/com.softline.krbpass.svg

%license LICENSE
%doc README.md

%changelog
* Thu Apr 17 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0-1
- Rebuilt for MSVSphere 10

* Tue Apr 08 2025 Ernest Ershov <ernest.ershov@softline.com> - 1.0-1
- Initial RPM package
